Gestiono

Create Bot training

POST /v1/bot/training • validated by `postBotTraining`

← Back to full API reference
POST/v1/bot/trainingAuthentication required
  • Validated by Zod schema: postBotTraining.

Request details

Path params

No path parameters for this endpoint.

Query params

No explicit query schema was captured for this endpoint.

Body fields

  • botId (required)

    Type: string

  • question (required)

    Type: string

  • content (required)

    Type: string

  • action

    Type: object

  • action.tool (required)

    Type: string

  • action.args

    Type: object

  • action.hint

    Type: string

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "botId": "00000000-0000-0000-0000-000000000000",
  "question": "string",
  "content": "string"
}

Sample response

json
{}

Test this endpoint now

Use your own credentials and execute a live request directly from this page.

1. Configure authentication for testing

You can test endpoints with signed API keys, a raw Authorization token, or browser cookies. Select one mode and fill in the required fields.

2. Select endpoint

POST/v1/bot/trainingAuthentication required

Group: Chats / Bot

POST /v1/bot/training • validated by `postBotTraining`

  • Validated by Zod schema: postBotTraining.

Body fields

  • botIdrequired
    Type: string
  • questionrequired
    Type: string
  • contentrequired
    Type: string
  • action
    Type: object
  • action.toolrequired
    Type: string
  • action.args
    Type: object
  • action.hint
    Type: string

3. Prepare request payload

4. Server response

Run a request to inspect the real-time response for your environment.